Update Object Schema By Key / Id
Update Custom Object Schema or standard object’s like contact, opportunity, business searchable fields. To understand objects and records, please have a look at the documentation here : https://help.hoopai.com/api-reference/overview/objects
PUT
/
objects
/
{key}
Update Object Schema By Key / Id
curl --request PUT \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": [
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: '632c34b4c9b7da3358ac9891',
searchableProperties: [
'custom_objects.mad.mad',
'custom_objects.mad.record_1',
'custom_objects.mad.nn'
],
labels: {singular: 'Pet', plural: 'Pets'},
description: 'These are non vaccinated pets'
})
};
fetch('https://services.leadconnectorhq.com/objects/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{key}"
payload = {
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": ["custom_objects.mad.mad", "custom_objects.mad.record_1", "custom_objects.mad.nn"],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Update Object Schema By Key / Id
curl --request PUT \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": [
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: '632c34b4c9b7da3358ac9891',
searchableProperties: [
'custom_objects.mad.mad',
'custom_objects.mad.record_1',
'custom_objects.mad.nn'
],
labels: {singular: 'Pet', plural: 'Pets'},
description: 'These are non vaccinated pets'
})
};
fetch('https://services.leadconnectorhq.com/objects/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{key}"
payload = {
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": ["custom_objects.mad.mad", "custom_objects.mad.record_1", "custom_objects.mad.nn"],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}